Skip to main content
GET
/
api
/
v1
/
tunnel
List Tunnels Endpoint
curl --request GET \
  --url https://api.primeintellect.ai/api/v1/tunnel \
  --header 'Authorization: Bearer <token>'
{
  "total": 123,
  "tunnels": [
    {
      "tunnel_id": "<string>",
      "status": "pending",
      "hostname": "<string>",
      "url": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z",
      "user_id": "<string>",
      "name": "<string>",
      "connected_at": "2023-11-07T05:31:56Z",
      "team_id": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt

Use this file to discover all available pages before exploring further.

Rate Limit

300 requests per 60 seconds per user.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

teamId
string | null

Response

Successful Response

Response containing list of tunnels.

total
integer
required

Total number of tunnels

tunnels
TunnelStatusResponse · object[]

List of active tunnels